Data - Retrieve Group Data
根据指定的条件检索组数据。
POST http://<Servername>/OperationsManager/data/scomGroups
请求正文
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| 名称 | 类型 | 说明 |
|---|---|---|
| criteria |
string |
搜索条件 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
还行。根据指定的条件成功检索到组。 Media Types: "application/json", "text/json", "application/xml", "text/xml" |
示例
RetrieveGroupData
示例请求
POST http://<Servername>/OperationsManager/data/scomGroups
[
"DisplayName LIKE '%All Windows Computers%'"
]
示例响应
{
"scopeDatas": [
{
"id": "3c8ac4f3-475e-44dd-4163-8a97af363705",
"displayName": "All Windows Computers",
"className": "All Windows Computers",
"path": null,
"fullName": "Microsoft.SystemCenter.AllComputersGroup"
}
]
}
定义
| 名称 | 说明 |
|---|---|
|
Scope |
|
|
Scope |
ScopeData
| 名称 | 类型 | 说明 |
|---|---|---|
| className |
string |
类名 |
| displayName |
string |
显示名称 |
| fullName |
string |
完整姓名 |
| id |
string |
身份证件 |
| path |
string |
路径 |
ScopeDataResponse
| 名称 | 类型 | 说明 |
|---|---|---|
| scopeDatas |
范围数据 |